;*****************************
;HY11P13 Special Register Address Definition
;*****************************
INDF0		EQU	000h
POINC0    	EQU	001h
PODEC0    	EQU	002h
PRINC0  	EQU	003h
PLUSW0   	EQU	004h
          	   	
INDF1   	EQU	005h
POINC1    	EQU	006H
PODEC1    	EQU	007h
PRINC1 	 	EQU	008h
PLUSW1    	EQU	009h
          	   	
          	   	
FSR0H   	EQU	00fh
FSR0L   	EQU	010h
FSR1H   	EQU	011h
FSR1L   	EQU	012h

          	   	

TOSH    	EQU	016h           ;{0000,TOS(11:8)}
  
TOSL    	EQU	017h
STKPTR  	EQU	018h		;//{stkl,stknu,stkov,00,stkptr[2:0]}
	stkl	EQU	7
	stknu	EQU	6
	stkov	EQU	5
	STKPTR2	EQU	2
	STKPTR1	EQU	1
	STKPTR0	EQU	0
	

PCLATH    	EQU	01ah
PCLATL    	EQU	01Bh
          	   		
TBLPTRH   	EQU	01dh
TBLPTRL   	EQU	01eh
TBLDH   	EQU	01fh	;
TBLDL   	EQU	020h	;
PRODH     	EQU	021h
PRODL     	EQU	022h
             	
INTE1		EQU	023h
	GIE	EQU	7
	ADCIE	EQU	6
	TMCIE	EQU	5
	TMBIE	EQU	4
	TMAIE	EQU	3
	WDTIE	EQU	2
	E1IE	EQU	1
	E0IE	EQU	0
	
INTE2   	EQU	024h
        SSPIE   EQU     2
	CCP1IE	EQU	1
        CCP0IE  EQU     0
	

INTF1   	EQU	026h
	ADCIF	EQU	6
	TMCIF	EQU	5
	TMBIF	EQU	4
	TMAIF	EQU	3
	WDTIF	EQU	2
	E1IF	EQU	1
	E0IF	EQU	0
	
INTF2   	EQU	027h
    SSPIF       EQU      2
  CCP1IF	EQU	1
  CCP0IF        EQU     0
	

WREG      	EQU	029h
BSRCN     	EQU	02Ah
STATUS 		EQU	02BH  		;{000, C, DC, N, OV, Z}
	C	EQU	4
	DC	EQU	3
	N	EQU	2
	OV	EQU	1
	Z	EQU	0
PSTATUS 	EQU	02CH
	PD	EQU	7
	TO	EQU	6
	IDL	EQU	5
	BOR	EQU	4
	;SVS	EQU	3
	SKERR	EQU	2
LVDCN           EQU     02DH   ;{LVDFLAG,LVD,LVDON,VLDX(3:0)}
        LVDFG   EQU     6
         LVD    EQU     5
         LVDON  EQU     4
         VLDX3   EQU    3
         VLDX2   EQU    2
         VLDX1   EQU    1
         VLDX0   equ    0
;SBMSET1         EQU     02EH   ;{AKRST,0,HAOTR(5:)}
PWRCN           EQU     030H   ;{envdda,vddax(2:0),enrCM)
   ENVDDA       EQU     7
   vddax1       EQU     6
   VDDAX0       EQU     5
   ENRCM        EQU     4
MCKCN1          EQU     031H   ;{adcs(2:0),adcck,xthsp,xtsp,enxt,enhao}
      ADCS2     EQU     7
      ADCS1     EQU     6
      ADCS0     EQU     5
      adcck     equ     4
      xthsp     EQU     3
      XTSP      EQU     2
      ENXT      EQU     1
      ENHAO     EQU     0
MCKCN2          EQU     032H  ;{0,0,lsck,hsck,hss[1:0],cpuck[1:0]}
     LSCK       EQU     5
     HSCK       EQU     4
     HSS1       EQU     3
     HSS0       EQU     2
     CPUCK1      EQU     1
     CPUCK0     EQU     0
MCKCN3          EQU     033H   ;{lcds[2:0],perck,bzs[2:0]}
     LCDS2      EQU     7
     LCDS1      EQU     6
     LCDS0      EQU     5
     PERCK      EQU     3
     BZS2       EQU     2
     BZS1       EQU     1
     BZS0       EQU     0
CPACN1          EQU     034H      ;{ENCPA,CPIST,CPIX,CPIH(1:0),CPIL(2:0)}
     ENCPA      EQU     7
     CPIST      EQU     6
     CPIX       EQU     5
     CPIH1      EQU     4
     CPIH0      EQU     3
     CPIL2      EQU     2
     CPIL1      EQU     1
     CPIL0      EQU     0

CPACN2          EQU     035H   ;{CPOEG,CPOX,CPOFR,CS1,CPAT,CPVCS(1:0)}
     CPOEG      EQU     7
     CPOX       EQU     6
     CPOFR      EQU     5
     CS1        EQU     4
     CPAT       EQU     3
     cpucs1     equ     2
     cpucs0     equ     1

CPACCN3         EQU     036H   ;{0,0,0,0,cs2,cpvrx[3:0]}
     CS2        EQU     4
     cpvrx3     EQU     3
     CPVRX2     EQU     2
     CPVRX1     EQU     1
     CPVRX0     EQU     0
OPCN1           EQU     37H       ;{ENOP,OPM(1:0),OPP(1:0),OPN(2:0)}
     ENOP       EQU     7
     OPM1       EQU     6
     OPM0       EQU     5
     OPP1       EQU     4
     OPP0       EQU     3
     OPN2       EQU     2
     OPN1       EQU     1
     OPN0       EQU     0

ADCRH          EQU     039H
ADCRM          EQU     03AH
ADCRL          EQU     03BH
ADCCN1          EQU     03CH  ;{ENADC,ENHIGN,ENCHP,PGAN(1:0),ADGN(2:0)}
   ENADC        EQU     7
   ENHIGN       EQU     6
   ENCHP        EQU     5
   PGAN1        EQU     4
   PGAN0        EQU     3
   ADGN2        EQU     2
   ADGN1        EQU     1
   ADGN0        EQU     0


ADCCN2          EQU     03DH  ;{INBUF,VRBUF,VREGN,DCSET(2:0)}
     INBUF      EQU     5
     VRBUF      EQU     4
     VREGN      EQU     3
     DCSET2     EQU     2
     DCSET1     EQU     1
     DCSET0     EQU     0
ADCCN3          EQU     03EH  ;{OSR(2:0)}
     OSR2       EQU     7
     OSR1       EQU     6
     OSR        EQU     5
AINET1          EQU     03FH  ;{INH(2:0),INL(2:0),INIS,OPIS}
      INH2      EQU     7
      INH1      EQU     6
      INH0      EQU     5
      INL2       EQU    4
      INL1      EQU     3
      INL0      EQU     2
      INIS      EQU     1
      OPIS      EQU     0
AINET2          EQU     040H  ;{VRH(1:0),INX(1:0),VRL(1:0)}
      VRH1      EQU     6
      vrh0      equ     5
      inx1      EQU     4
      INX0      EQU     3
      VRL1      EQU     2
      VRL0      EQU     1
     


 TMACN		EQU	041H
	ENTMA	EQU	7
	TMAS2	EQU	6
	TMAS1	EQU	5
	TMAS0	EQU	4
	ENWDT	EQU	3
	WDTS2	EQU	2
	WDTS1	EQU	1
	WDTS0	EQU	0
TMAR            EQU     042H
TMBCN		EQU	043H		;(------00)
	ENTMB	EQU	7
	TMBCK	EQU	6
	TMBS1	EQU	5
	TMBS0	EQU	4
	TMBSYC	EQU	3
	TMBR2R	EQU	2	
TMBRH		EQU	044H
TMBRL		EQU	045H
TMCCN		EQU	046H
	ENTMC	EQU	7
	TMCCK1	EQU	6
	TMCCK0	EQU	5
	TMCS12	EQU	4
	TMCS11	EQU	3
	TMCS10	EQU	2
	TMCS01	EQU	1
	TMCS00	EQU	0	
PRC		EQU	047H
TMCR		EQU	048H
	

CCPCN		EQU		049H   ;{ccp1m[3:0],ccp0m[3:0]}
	CCP1M3	EQU		7
	CCP1M2	EQU		6
	CCP1M1	EQU		5
	CCP1M0	EQU		4
	CCP0M3	EQU		3
	CCP0M2	EQU		2
	CCP0M1	EQU		1
	CCP0M0	EQU		0
CCP0RH		EQU		04AH
CCP0RL		EQU		04BH
CCP1RH		EQU		04CH
CCP1RL		EQU		05DH
PASC		EQU		04EH    ;{PASF,PASCF[2:0],PSS0CN[1:0],PSS1CN[1:0]}
	PASF	EQU		7
	PASCF2	EQU		6
	PASCF1	EQU		5
	PASCF0	EQU		4
	PSS0CN1	EQU		3
	PSS0CN0	EQU		2
	PSS1CN1	EQU		1
	PSS1CN0	EQU		0
PWMCN		EQU		04FH
	ENPWM	EQU		7
	ENPFD	EQU		6
	PWMRL1	EQU		5
	PWMRL0	EQU		4
	PWMCG1	EQU		3
	PWMCG0	EQU		2
	PWMM1	EQU		1
	PWMM0	EQU		0	
	
PWMR		EQU		051H


LCDCN1          EQU     052H  ;{ENLCD,LCDPR,VLCDX(1:0),LCDBF,LCDBI(I:0)}
         ENLCD  EQU     7
         LCDPR  EQU     6
         VLCDX1  EQU    5
         VLCDX0  EQU    4
         LCDBF  EQU     3
         LCDBI1  EQU    2
         LCDBI0  EQU    1
LCDCN2   EQU     053H         ;{LCDBL,LCDMX[1:0],0,0,0,0}
         LCDBL  EQU     7
         LCDMX1  EQU     6
         LCDMX0  EQU     5

LCD0     EQU     054H
LCD1     EQU     055H
LCD2     EQU     056H
LCD3     EQU     057H
LCD4     EQU     058H
LCD5     EQU     059H
LCD6     EQU     05AH
LCD7     EQU     05BH
LCD8     EQU     05CH
LCD9     EQU     05DH

SSPCON1		EQU  	05EH		;{SSPEN,CKP,CKE,SMP,X,X,SSPMODE<1:0>}
        SSPEN	EQU	7
	CKP	EQU	6
	CKE	EQU	5
	SMP	EQU	4
 SSPMODE1       EQU	1
SSPMODE0        EQU	0
SSPSTA    	EQU   	060H     	;{xxxxx,TIP,OV,BF}, x={D/A,P,S,R/W,UA} for IIC
	SSPBUY	EQU	7
	SSPOV	EQU	6
	BF	EQU    0
	
SSPBUF    EQU     061H      	;SPI  8bits DI/DO
PT4       EQU     06AH
PT4DA     EQU     06BH
PT4PU     EQU     06CH
PT1       EQU     06DH
TRISC1    EQU     06EH
PT1DA     EQU     06FH
PT1PU    EQU      070H
PT1M1    EQU      071H
PT1M2    EQU      072H
PT2      EQU      074H
TRISC2   EQU      075H
PT2DA    EQU      076H
PT2PU    EQU      077H
PT2M1    EQU      078H
PT2M2    EQU      079H

W        EQU    0
F        EQU   1
ACCE      EQU   0




