INDF0		EQU		000h
POINC0    	EQU		001h
PODEC0    	EQU		002h
PRINC0  	EQU		003h
PLUSW0   	EQU		004h
          	   	
INDF1   	EQU		005h
POINC1    	EQU		006h
PODEC1    	EQU		007h
PRINC1 	EQU		008h
PLUSW1    	EQU		009h
          	   	
FSR0H   		EQU		00fh
FSR0L   		EQU		010h
FSR1H   		EQU		011h
FSR1L   		EQU		012h
          	   	
TOSH    		EQU		016h
TOSL    		EQU		017h
STKPTR  		EQU		018h		;//{sfull,unf,sov,00,stkptr[2:0]}
	SFULL		EQU		7
	UNF		EQU		6
	SOV		EQU		5
	STKPTR2	EQU		2
	STKPTR1	EQU		1
	STKPTR0	EQU		0
PCLATH    	EQU		01ah
PCLATL    	EQU		01bh

TBLPTRH   	EQU		01dh
TBLPTRL   	EQU		01eh
TBLDH   	EQU		01fh	;
TBLDL   	EQU		020h	;
PRODH     	EQU		021h
PRODL     	EQU		022h
             	
INTE1			EQU		023h
	GIE		EQU		7
	ADCIE	EQU		6
	TMCIE	EQU		5
	TMBIE	EQU		4
	TMAIE	EQU		3
	WDTIE	EQU		2
	E1IE	EQU		1
	E0IE	EQU		0
INTE2   		EQU		024h
     TXIE    EQU           7
     RCIE    EQU           6
	CPOIE   EQU		3
	SSPIE   EQU		2
	CCP1IE  EQU		1
	CCP0IE  EQU		0
	
INTE3   		EQU		025h
	E7IE   	EQU		7
	E6IE   	EQU		6
	E5IE   	EQU		5
	E4IE   	EQU		4
	E3IE   	EQU		3
	E2IE   	EQU		2

INTF1   		EQU		026h
	ADCIF	EQU		6
	TMCIF	EQU		5
	TMBIF	EQU		4
	TMAIF	EQU		3
	WDTIF	EQU		2
	E1IF	EQU		1
	E0IF	EQU		0
INTF2   		EQU		027h
        TXIF    EQU             7
        RCIF    EQU             6
	CPOIF   EQU		3
	SSPIF   EQU		2
	CCP1IF  EQU		1
	CCP0IF  EQU		0
INTF3   		EQU		028h
	E7IF   	EQU		7
	E6IF   	EQU		6
	E5IF   	EQU		5
	E4IF   	EQU		4
	E3IF   	EQU		3
	E2IF   	EQU		2
             	
WREG     		EQU		029H
BSR     		EQU		02AH
STATUS     	EQU		02BH;{000, C, DC, N, OV, Z}
	C	EQU		4
	DC	EQU		3
	N	EQU		2
	OV	EQU		1
	Z	EQU		0
PSTATUS 	EQU		02CH
	PD	EQU		7
	TO	EQU		6
	IDLEB	EQU		5
	POR	EQU		4
	SVS	EQU		3
	SKEER	EQU		2
	
SVSCN 	EQU		02DH	
	ENPOR	EQU		7	
	SVSFG	EQU		6	
	SVSOP	EQU		5
	SVSON	EQU		4	
	VLDX3	EQU		3			
	VLDX2	EQU		2			
	VLDX1	EQU		1			
	VLDX0	EQU		0			
SBMSET1		EQU		02EH	
	SKRST	EQU		7
	RCFTR5	EQU		5
	RCFTR4	EQU		4
	RCFTR3	EQU		3
	RCFTR2	EQU		2
	RCFTR1	EQU		1
	RCFTR0	EQU		0
PWRCN			EQU		030H
	ENVDDA	EQU		7
	VDDAX1	EQU		6
	VDDAX0	EQU		5
	ENREF	EQU		4
MCKCN1			EQU		031H	
	ADCS2	EQU		7
	ADCS1	EQU		6
	ADCS0	EQU		5
	ADCCK	EQU		4
	XTHSP	EQU		3
	XTSP	EQU		2
	ENXT	EQU		1
	ENRC2M	EQU		0
MCKCN2	EQU		032H
	LSCK	EQU		5
	HSCK	EQU		4
	HSS1	EQU		3
	HSS0	EQU		2
	CPUCK1	EQU		1	
	CPUCK0	EQU		0	
MCKCN3	EQU		033H
	LCDS2	EQU		7
	LCDS1	EQU		6
	LCDS0	EQU		5
	PERCK	EQU		3
	BZS2	EQU		2		
	BZS1	EQU		1		
	BZS0	EQU		0		
CPACN1			EQU		034H
	ENCPA	EQU		7
	CSIST	EQU		6
	CPIX	EQU		5
	CPIH1	EQU		4
	CPIH0	EQU		3
	CPIL2	EQU		2
	CPIL1	EQU		1
	CPIL0	EQU		0
CPACN2	EQU		035H
	CPOIES	EQU		7
	CPOX	EQU		6
	CPOFR	EQU		5
	CS1	EQU		4
	CAPAT	EQU		3	
	CPVCS1	EQU		2	
	CPVCS0	EQU		1	
CPACN3		EQU		036H
	CS2	     EQU		4		
	CPVRX3	EQU		3				
	CPVRX2	EQU		2				
	CPVRX1	EQU		1				
	CPVRX0	EQU		0				
OP0CN1	EQU		037H
	ENOP	EQU		7	
	OPM1	EQU		6
	OPM0	EQU		5
	OPP1	EQU		4	
	OPP0	EQU		3		
	OPN2	EQU		2		
	OPN1	EQU		1			
	OPN0	EQU		0					
ADC0RH	EQU		039H	
ADC0RM	EQU		03AH	
ADC0RL	EQU		03BH	
ADC0CN1	EQU		03CH
	ENADC	     EQU		7	
	ENHIGN	EQU		6	
	ENCHP 	EQU		5	
	PGAGN1	EQU		4		
	PGAGN0	EQU		3
	ADGN2	EQU		2
	ADGN1	EQU		1
	ADGN0	EQU		0
ADC0CN2	EQU		03DH
	INBUF	EQU		5
	VRBUF	EQU		4
	VREGN	EQU		3
	DCSET2	EQU		2
	DCSET1	EQU		1
	DCSET0	EQU		0
ADC0CN3			EQU		03EH
	OSR2	EQU		7
	OSR1	EQU		6
	OSR0	EQU		5
AINET1			EQU		03FH
	INH2	EQU		7
	INH1	EQU		6
	INH0	EQU		5	
	INL2	EQU		4		
	INL1	EQU		3
	INL0	EQU		2
	INIS	EQU		1
	OPIS	EQU		0
AINET2			EQU		040H
	VRH1	EQU		6
	VRH0	EQU		5	
	INX1	EQU		4		
	INX0	EQU		3
	VRL1	EQU		2
	VRL0	EQU		1
TMACN			EQU		041H
	ENTMA	EQU		7
	TMAS1	EQU		6
	TMAS0	EQU		5	
	ENWDT	EQU		3
	WDT2	EQU		2
	WDT1	EQU		1
	WDT0	EQU		0
TMAR			EQU		042H
TMBCN			EQU		043H
	ENTMB	EQU		7
	TMBCK	EQU		6
	TMBS1	EQU		5	
	TMBS0	EQU		4		
	TMBSYC	EQU		3
	TMBR2R	EQU		2
TMBRH			EQU		044H
TMBRL			EQU		045H
TMCCN			EQU		046H
	ENTMC	EQU		7
	TMCCK1	EQU		6
	TMCK0	EQU		5	




	TMCS2	EQU		4

	TMCS1	EQU		3
	TMCS0	EQU		2
	TMCSO1	EQU		1
	TMCSO0	EQU		0
PRC			EQU		047H
TMCR			EQU		048H
CCPCON			EQU		049H
	CCP1M3	EQU		7
	CCP1M2	EQU		6
	CCP1M1	EQU		5	
	CCP1M0	EQU		4
	CCP0M3	EQU		3
	CCP0M2	EQU		2
	CCP0M1	EQU		1
	CCP0M0	EQU		0
CCP0RH			EQU		04AH
CCP0RL			EQU		04BH
CCP1RH			EQU		04CH
CCP1RL			EQU		04DH
PASC			EQU		04EH
	PASF	EQU		7
	PASCF2	EQU		6
	PASCF1	EQU		5	
	PASCF0	EQU		4
	PSS0CN1	EQU		3
	PSS0CN0	EQU		2
	PSS1CN1	EQU		1
	PSS1CN0	EQU		0
PWMCN			EQU		04FH
	ENPWM	EQU		7
	ENPFD	EQU		6
	PWMRL1	EQU		5	
	PWMRL0	EQU		4
	PWMCG1	EQU		3
	PWMCG0	EQU		2
	PWMM1	EQU		1
	PWMM0	EQU		0
PDBD			EQU		050H
	ENPRS	EQU		7
	DBDC6	EQU		6
	DBDC5	EQU		5	
	DBDC4	EQU		4
	DBDC3	EQU		3
	DBDC2	EQU		2
	DBDC1	EQU		1
	DBDC0	EQU		0
PWMR			EQU		051H
LCDCN1		EQU		052H
	ENLCD	     EQU		7
	LCDPR	     EQU		6
	VLCDX1	EQU		5	
	VLCDX0	EQU		4
	LCDBF	EQU		3
	LCDBI1	EQU		2
	LCDBI0	EQU		1
LCDCN2		EQU		053H
	LCDBL	EQU		7
	LCDMX1	EQU		6
	LCDMX0	EQU		5
		
LCD0			EQU		054H
LCD1			EQU		055H
LCD2			EQU		056H
LCD3			EQU		057H
LCD4			EQU		058H
LCD5			EQU		059H
LCD6			EQU		05AH
LCD7			EQU		05BH
LCD8			EQU		05CH
LCD9			EQU		05DH
SSPCON1			EQU  		05EH		;{SSPEN,CKP,CKE,SMP,X,X,SSPMODE<1:0>}
	SSPEN	EQU		7
	CKP	EQU		6
	CKE	EQU		5
	SMP	EQU		4
	SSPMODE1	EQU	1
	SSPMODE0	EQU	0
SSPSTA    		EQU	   	060H      	;{xxxxx,TIP,OV,BF}, x={D/A,P,S,R/W,UA} for IIC
	SSPBUY	EQU		7
	SSPOV	EQU		6
	BF	EQU		0
SSPBUF    		EQU	   	061H      	;SPI  8bits DI/DO
URCON                   EQU             063H     ;SPEN,TXEN,TX9,TX9D,PARITY,BRG16,BRGH,WUE
       SPEN     equ     7
       TXEN     equ     6
       TX9      equ     5                       
       TX9D     equ     4
       PARITY   equ     3
       WUE      equ     0
URSTA                   EQU             064H     ;0, RX9D,PERR,FERR,OERR,RCIDL,TRMT,ABDOVF
       RX9D     equ     6
       PERR     equ     5
       FERR     equ     4
       OERR     equ     3 
       RCIDL    equ     2
       TRMT     equ     1
       ABDOVF   equ     0
BAUDCON                 equ             065H     ;0000,CREN,RX9,ADDEN,ABDEN      
       CREN     equ     3
       RX9      equ     2               
       ADDEN    equ     1
       ABDEN    equ     0
BRGH                    equ             066H    
BRG                     equ             067H
TXREG                   equ             068H
RCREG                   equ             069H
PT4			EQU		06AH
PT4DA			EQU		06BH
PT4PU			EQU		06CH
PT1			EQU		06DH
TRISC1			EQU		06EH
PT1DA			EQU		06FH
PT1PU			EQU		070H
PT1M1			EQU		071H
	PM131	EQU		7
	PM130	EQU		6
	PM121	EQU		5	
	PM120	EQU		4
	INTEG11	EQU		3
	INTEG10	EQU		2
	INTEG01	EQU		1
	INTEG00	EQU		0
PT1M2			EQU		072H
PT1INT			EQU		073H
	INTEG7	EQU		7
	INTEG6	EQU		6
	INTEG5	EQU		5	
	INTEG4	EQU		4
	INTEG3	EQU		3
	INTEG2	EQU		2
PT2			EQU		074H
TRISC2			EQU		075H
PT2DA			EQU		076H
PT2PU			EQU		077H
PT2M1			EQU		078H
PT2M2			EQU		079H
PT3			EQU		07AH
TRISC3			EQU		07BH
PT3DA			EQU		07CH
PT3PU			EQU		07DH
PT3M1			EQU		07EH
PT3M2			EQU		07FH
LCD10			EQU		180H
LCD11			EQU		181H
LCD12			EQU		182H
LCD13			EQU		183H
LCD14			EQU		184H
LCD15			EQU		185H
LCD16			EQU		186H
LCD17			EQU		187H
LCD18			EQU		188H
LCD19			EQU		189H
PT5			EQU		192H
PT5DA			EQU		193H
PT5PU			EQU		194H

;===================================================                  	
FSR0			EQU		0
FSR1			EQU		1

	W       	EQU  		0
	F   		EQU  		1
	ACCE    	EQU  		0     		;0:access bank	;1:BANK
	BANK		EQU		1
	S    		EQU  		1     		;with shadow
	


