 ;================
;clear eax,ebx,ecx,ecx
;=====================
clrEax:
   clrf eah 
   clrf eal
   clrf ah
   clrf al
   ret
clrbx:
   clrf bl
   clrf bh
   ;clrf ebl
   ;clrf eBh
   ret
clrcx:
   clrf cl
   clrf ch
   ;clrf ecl
   ;clrf ech
   ret
clredx:
   clrf dl
   clrf dh
   clrf edl
   clrf edh
   ret


;====================
;  2's complement
;====================
comfax:
   comf al,f,acce
   comf ah,f,acce
   inf  al,f,acce
   btss status,z
   ret
   inf ah,f,acce
   ret
   
COMFEAX:
        comf	AL,F,ACCE
	  comf	AH,F,ACCE
	  comf	EAL,F,ACCE
	  comf	EAH,F,ACCE
	  inf	      AL,F,ACCE
	  btsS	Status,Z
	  ret
	  inf	      AH,F,ACCE
	  btsS	Status,Z
	  RET
	  INF       EAL,F,ACCE
	  btsS	Status,Z
	  RET
	  INF       EAH,F
        RET

;=====================
; sub function
;======================
AX_CX:    
     MVF CL,W,ACCE
     SUBF AL,F,ACCE
     MVF CH,W,ACCE
     SUBC AH,F,ACCE
 
     ;MVF ECL,W,ACCE
     ;SUBC EAL,F,ACCE
     ;MVF  ECH,W,ACCE
     ;SUBC  EAH,F,ACCE
     RET 
   
AX_BX:    
    CLRF STATUS
    MVF  BL,W,ACCE
    SUBF AL,F,ACCE
    MVF  BH,W,ACCE
    SUBC  AH,F,ACCE
    RET
;===================
; Rotated Work Register 
;====================
RRFEAX:
   BCF  STATUS,C
   RRFC EAH,F,ACCE
   RRFC EAL,F,ACCE
   RRFC AH,F,ACCE
   RRFC AL,F,ACCE
   ret
     
    
;==========================
;mul
;========================
16BITMUL16BITU:
     CLRF STATUS
     CLRF EAH
     CLRF EAL
     MVF  AH,W,ACCE
     MVF  MUL_REGH,F,ACCE
     MVF  AL,W,ACCE
     MVF  MUL_REGL,F,ACCE
     
     MVL  010H
     MVF  BUFFER,F,ACCE
 LOOP16U:
     BTSZ  BL,0
     CALL ADD2OPRATION
     CALL RR4F
     DCSZ BUFFER,F,ACCE
     JMP  LOOP16U
     CLRF MUL_REGH
     CLRF MUL_REGL
     RET
 ADD2OPRATION:
   MVF  MUL_REGL,W,ACCE
   ADDF EAL,F,ACCE
   MVF  MUL_REGH,W,ACCE
   ADDC EAH,F,ACCE
   RET
 RR4F:
  RRFC   EAH,F,ACCE
  RRFC   EAL,F,ACCE
  RRFC   AH,F,ACCE
  RRFC   AL,F,ACCE
  CLRF   STATUS
  RRFC   BH,F,ACCE
  RRFC   BL,F,ACCE
  CLRF   STATUS
  RET  
;================================
;32/16bit  Fixed Point Divide   
;Equation:<<32/16= 16>>
;			 EAX/CX= AX...DX 
;paramaters : 
;		1.Divided Number  : EAX(EAH,EAL,ah,al) 
;		2.Divisor Number  : CX(CH,CL)
;register:1.EAX,2.AX,3.CX,4.DX,5.DIVTX,6.buffer
;===========================================

32BITDIV16BITU:
     MVL  020H
     mvf buffer,f,acce
     clrf  divh
     clrf  divl
 
divloop32_16u:
      clrf  status
      rlfc  AL,F
      RLFC  AH,F
      RLFC  EAL,F
      RLFC  EAH,F
      RLFC  DIVL,F
      RLFC  DIVH,F
      MVF   DIVL,W,ACCE
      MVF   DL,F,ACCE
      MVF   DIVH,W,ACCE
      MVF   DH,F,ACCE
      CALL  DX_CX
      BTSS  STATUS,C
      JMP   DIVLS32_16U
      MVF   DL,W,ACCE
      MVF   DIVL,F,ACCE
      
      MVF   DH,,ACCE
      MVF   DIVH,F,ACCE
      INF   AL,F
DIVLS32_16U:
      DCSZ  BUFFER,1
      JMP   divloop32_16u
      CLRF  STATUS
      MVF   DIVL,W,ACCE
      MVF   DL,F,ACCE
      MVF   DIVH,W,ACCE
      MVF   DH,F,ACCE
      RET
      

DX_CX:
     MVF CL,W,ACCE
     SUBF DL,F,ACCE
     MVF CH,W,ACCE
     SUBC DH,F,ACCE
      RET
;======================
;  get the mini
;======================      
minadc:
		btsz  sys_flag,cal_f
		jmp    dealmin
	  mvff  datah,dzh
	  mvff  datal,dzl
	  bsf   sys_flag,cal_f
dealmin:
		mvff  datah,ah
		mvff  datal,al
		mvff  dzl,bl
		mvff  dzh,bh
		call  ax_bx
		btsz  ah,7
		jmp  upmin
		
		ret   
upmin:
    bsf   sys_flag1,usemin_f 
    ;bcf   sys_flag1,usemAX_f
    ;bcf   sys_flag, max_f
		mvff  datah,dzh
	  mvff  datal,dzl
	  ret 
;==============
;get the max
;===============	  
	  
MAXADC:  
	  btsz  sys_flag,max_f
		jmp    dealmax
	  mvff  datah,dgh
	  mvff  datal,dgl
	  bsf   sys_flag,max_f
dealmax:
		mvff  datah,ah
		mvff  datal,al
		mvff  dgl,bl
		mvff  dgh,bh
		call  ax_bx
		btss  ah,7
		jmp  upmax		
		ret   
upmax:
		bsf   sys_flag1,usemax_f
		bCf   sys_flag1,usemin_f
		;BCF   SYS_FLAG,CAL_F
		mvff  datah,dgh
	  mvff  datal,dgl
	  ret 

	
	
	 adcadd:     
      mvf   adctmpl,W,ACCE
      ADDF  ADCL,F,acce
      mvf  adctmpm,W,ACCE
      ADDC ADCH,F,acce
      mvf  adctmpH,W,ACCE
      ADDC ADCEL,F,acce
      CLRF WREG
      ADDC ADCEH,F,acce     
      RET
      
rrfadc:
      BCF STATUS,C
      RRFC ADCEH,f,acce
      rrfc ADCEL,f,acce
      rrfc ADCH ,f,acce
      rrfc ADCL ,f,acce
      BCF STATUS,C
      RRFC ADCEH,f,acce
      rrfc ADCEL,f,acce
      rrfc ADCH ,f,acce
      rrfc ADCL ,f,acce
      mvff ADCEL,datah
      mvff adch,datal
      ret  